Function
getSuccessor
Gets the successor for a given vertex and an edge label. For an automaton a single character is required whereas for a word graph getSuccessor takes a string.
getSuccessor(g, v, c)
getSuccessor(g, v, str)
Include Headers
seqan/graph_types.h
Parameters

g | An automaton or a word graph. Types: Automaton, Word Graph
v | A vertex descriptor. Types: VertexDescriptor
c | A label. Types: Alphabet
str | A string. Types: String

Return Values
A vertex descriptor or nil if successor is not defined.
Types: VertexDescriptor
See Also
parseString, canParseString, getNil
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47